using System;
using System.Collections;
using System.Collections.Generic;
using BITKit;
using BITKit.StateMachine;

namespace Project.B.Net
{
    public interface IGameNetState:IState{}
    public interface IGameNetOffline:IGameNetState{}
    public interface IGameNetAsHost : IGameNetState
    {
    }
    public interface IGameNetAsClient : IGameNetState
    {
    }
    public interface IGameNetService:IStateMachine<IGameNetState>,IDisposable
    {
        public INetServer Server { get; }
        public INetClient Client { get; }
        public INetClient LobbyClient { get; }
    }

}
